/// #pkgName FGUI包名
/// #panelName UIPanel名字
/// #UIName = $"{#pkgName}{#panelName}" UIKey名字
/// 该脚本由模板创建
/// created by cb 2024

using FairyGUI;
using XGame.Database;
using XGame.Framework.UI;

namespace FL.FGUI
{
    /// <summary>
    /// UI逻辑处理类
    /// </summary>
    /// <typeparam name=""></typeparam>
    public partial class MainBuffInfoListItemCtrl : UIController<MainBuffInfoListItemVM>
    {
        protected override void OnEnable(object intent)
        {
            AddUIListenres();
        }
        protected override void OnDisable()
        {
            RemoveUIListenres();
        }
        #region UI事件
        private void AddUIListenres()
        {

        }
        private void RemoveUIListenres()
        {

        }

        #endregion

        public void OnRefresh(int index, MainBuffItemData data)
        {
            var table = BuffTableRepo.Get(data.buffTableId);
            VM.BuffIcon.url = table.Icon;
            VM.BuffNameLabel.text = table.Name;
            VM.BuffLayerPar.max = data.layerLimit;
            VM.BuffLayerPar.value = data.layer;
        }
    }
}